/**
 * @file
 * example.stateless.vuoize node implementation.
 *
 * @copyright Copyright © 2012–2017 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleMetadata({
                                         "title" : "CrossProduct",
                                         "description" : "Calculate cross product of 2 3D points",
					 "keywords" : [ ],
					 "version" : "1.0.0",
					 "dependencies" : [ ],
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
                VuoInputData(VuoPoint3d) point1,
                VuoInputData(VuoPoint3d) point2,
                VuoOutputData(VuoPoint3d) dotproductpoint


)
{

        *dotproductpoint = VuoPoint3d_crossProduct(point1, point2);
}
